aboutsummaryrefslogtreecommitdiff
path: root/ci/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/run_tests.sh')
-rwxr-xr-xci/run_tests.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
index f5b81c1f..8f5cec7a 100755
--- a/ci/run_tests.sh
+++ b/ci/run_tests.sh
@@ -111,6 +111,7 @@ run_make_check_trace_stderr()
run_deqp()
{
+ local retval=0
run_setup meson
OGL_BACKEND="$1"
SUITE="$2"
@@ -148,13 +149,15 @@ run_deqp()
./run_test_suite.sh --deqp ${TEST_SUITE} \
--host-${OGL_BACKEND} \
${BACKENDS}
+ retval=$?
popd
- return $?
+ return $retval
}
run_piglit()
{
+ local retval=0
run_setup meson
OGL_BACKEND="$1"
@@ -172,9 +175,10 @@ run_piglit()
./run_test_suite.sh --piglit --gles2 --gles3 \
--host-${OGL_BACKEND} \
${BACKENDS}
+ retval=$?
popd
- return $?
+ return $retval
}
parse_input()